#pragma once
#include "main.h"
#include "mymodel.h"

class myXModel :
	public myModel
{
public:
	myXModel(void);
	~myXModel(void);

	virtual bool init();
	virtual void draw();
	virtual void clean();

private:
	LPD3DXMESH	m_mesh;
	D3DMATERIAL9*	m_materials;
	DWORD m_materialCount;
};
